1

I am getting this error when I use the CiviVoluteer extension on Worpress with CiviCRM version 5.39.0. I am hosted with CiviHosting.

Your database is configured to use the MyISAM database engine. CiviCRM requires InnoDB. You will need to convert any MyISAM tables in your database to InnoDB. Using MyISAM tables will result in data integrity issues.

Everything still seems to be working in CiviCRM. I only get this message with CiviVolunteer enabled. There is a fix that seemed to work for folks MyISAM database but all civicrm_ tables are INNODB... is this a problem?

but I am wondering to I even need to bother?

2
  1. Go to your CiviHosting control panel and start 'phpMyAdmin'.
  2. Click on your CiviCRM database (left panel)
  3. In the list of tables click on the 'Type' column header to sort by it (easier to see all your MyISAM ones)
  4. Click one of the table names that shows as MyISAM
  5. Click 'Operations' tab at the top
  6. In the 'Table Options' section, change 'Storage Engine' to InnoDB
  7. Click Go
  8. Repeat as needed

Re: "Do I even need to bother?" CiviCRM goes to some effort to detect and warn you about this. If you know what the data integrity issues are and that they won't affect your db, then don't change it. I don't know those details but it's a quick and easy fix so I follow the advice and change it.

1
  • Great followed instructions above and now status is all good. Thanks! Oct 15 at 15:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.